Skip to main content

Get Staff Availability

Get a staff member's usual week and their answers for upcoming dates.

Endpointโ€‹

GET /v1/staff/{staffId}/availability

Authenticationโ€‹

Requires an API key with the staff:read scope.

Path Parametersโ€‹

ParameterTypeDescription
staffIdintegerStaff member ID

Responseโ€‹

Success (200 OK)โ€‹

Returns the availability object.

{
"data": {
"week": {
"monday": { "on": true, "start": "08:00", "end": "14:00" },
"tuesday": { "on": true, "start": "08:00", "end": "14:00" },
"wednesday": { "on": false, "start": "09:00", "end": "17:00" },
"thursday": { "on": false, "start": "09:00", "end": "17:00" },
"friday": { "on": false, "start": "09:00", "end": "17:00" },
"saturday": { "on": false, "start": "09:00", "end": "17:00" },
"sunday": { "on": false, "start": "09:00", "end": "17:00" }
},
"set_by": "staff",
"dates": [
{ "date": "2026-10-05", "can_work": false, "start": null, "end": null }
]
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-09-28T09:00:00+00:00"
}
}

A staff member with no hours set returns every day with on: false, set_by: null and an empty dates array.

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks the staff:read scope
404resource_not_foundNo staff member with that ID in your account

Example Requestโ€‹

curl "https://app.equipdash.com/api/v1/staff/123/availability" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."